<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$formname = 'Loan';
$maindb = 'accmast';
$printfile = "loan_print.php";
$file = 'loan.php';
$trandbexist = 0;
$keyfld = "accode";
$focusfield = "name";
$mgrpcode = '030';
$keycond = "AND `grpcode`='$mgrpcode'";

////////////////// FB ////////////////////
$adduser = $_SESSION['username_' . $dbname];
date_default_timezone_set("Asia/Kolkata");
$adddate = date("Y-m-d");
$addtime = date("h:i:sa");
$usertype = $_SESSION["usertype"];
$spltype = $_SESSION["spltype"];

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
include("includes/code_generate.php");
include("includes/prev&next.php");

if (isset($_POST["submit"])) {

    $a = 1;
    $name = mysqli_real_escape_string($conn, $_POST["name"]);
    $custcode = mysqli_real_escape_string($conn, $_POST["custcode"]);
    $add1 = mysqli_real_escape_string($conn, $_POST["add1"]);
    $state = $_POST["state"];
    $statecode = $_POST["statecode"];
    $city = $_POST["city"];
    $pin = $_POST["pin"];
    $mob = $_POST["mobile"];
    $mob2 = $_POST["mobile2"];
    $duedays = $_POST["duedays"];
    $openbal = $_POST["openbal"];
    $opendc = $_POST["opendc"];


    $mvouch = $qvouch;

    if ($name == "") {
        $a = 0;
        browse("Name Cannot Be Empty");
        if ($addflag == 1) {
            header("location:javascript://history.go(-1)");
        } else {
            header("refresh: ; $file?mode=last");
        }
    }

    if (isset($_POST["name"])) {
        $result = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `name`= '$name' AND `grpcode`='$mgrpcode' AND accode != '$qvouch'") or die(mysqli_error($conn));
        if (mysqli_num_rows($result) > 0) {
            $a = 0;
            browse("Customer Name Already Exist");
            header("refresh: 1; $file?mode=last");
        }
    }




    if ($a == 1) {

        mysqli_query($conn, "LOCK TABLE `$maindb` WRITE");

        if ($addflag == 1) {


            $gen1 = mysqli_query($conn, "SELECT MAX($keyfld) AS maxcode FROM `$maindb` WHERE $keyfld !='' LIMIT 0,1 ") or die(mysqli_error($conn));

            if (mysqli_num_rows($gen1) > 0) {
                $vvouch = mysqli_fetch_assoc($gen1);
                $qvouch = $vvouch["maxcode"] + 1;
            } else {
                $qvouch = '51';
            }
            mysqli_query($conn, "INSERT INTO `$maindb`(accode,`name`, openbal, `dc`, grpcode, `init`, `adduser`)
                                                            VALUES('$qvouch', '$name', '$openbal', '$opendc', '$mgrpcode', 'LN', '$adduser')") or die(mysqli_error($conn));
            //            insmess();
            header("refresh: 1; $file?mode=edit&$keyfld=$mvouch");
        } else {

            mysqli_query($conn, "UPDATE `$maindb` SET `name`='$name', `openbal`='$openbal', `dc`='$opendc', grpcode='$mgrpcode', 
                                                      `edituser`='$adduser' WHERE $keyfld = '$mvouch' ") or die(mysqli_error($conn));
            //            updmess();
            header("refresh: 1; $file?mode=edit&$keyfld=$mvouch");
        }
        mysqli_query($conn, "UNLOCK TABLES");
    }
}

if ($addflag != 1) {
    $getvouch = '';
    if ($addflag == 0) {
        $getvouch = $_GET[$keyfld];
    } else {
        $getvouch = $qvouch;
    }

    $result = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE $keyfld='$getvouch' AND `grpcode`='030'") or die(mysqli_error($conn));
    $get = mysqli_fetch_array($result);
}


$senable = "";
$cenable = "";


if (isset($_GET["delete"])) {
    $getcustdtl = mysqli_query($conn, "SELECT * FROM `actran` WHERE `accode` = '$getvouch'") or die(mysqli_error($conn));
    if (mysqli_num_rows($getcustdtl) > 0) {
        browse("Entry Exist in Transaction");
        header("refresh: 1; $file?mode=last");
    } else {
        delete($zdb, "$maindb", "$keyfld", $_GET[$keyfld], "$file?mode=last");
    }
}

include("includes/linkshead.php");
?>
<script src="MyScript/loan_search.js?b=<?= mt_rand() ?>" type="text/javascript"></script>
<style>
    .disc {
        width: 80px;
    }
    .disc1 {
        width: 50px;
    }
</style>

</head>

<body>
    <form action='' method='POST'>
        <!-- Default box -->
        <div class="col-lg-6">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><?php echo $formname; ?></h3>
                </div>

                <div class="panel-body">
                    <div class="row">
                        <div class="col-lg-2 col-md-2 col-sm-2 col-xs-2 text-right pad">
                            <label class="label-control marg">Name</label>
                        </div>
                        <div class="col-lg-7 col-md-8 col-sm-8 col-xs-8 pad">
                            <input type="hidden" class="form-control form vouchno" required name="vouchno" value="<?php echo ($addflag != 1) ? $qvouch : $qvouch; ?>">
                            <input type="text" class="form-control form focusfield" required name="name" value="<?php echo ($addflag != 1) ? $get["name"] : ""; ?>" autofocus>
                        </div>
                    </div>


                    <div class="row">
                        <div class="col-lg-2 col-md-2 col-sm-2 col-xs-2 text-right pad">
                            <label class="label-control marg">Opening Balance</label>
                        </div>
                        <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 pad">
                            <input type="text" size="40" name="openbal" class="form-control form text-right openbal" value="<?php echo ($addflag != 1) ? $get['openbal'] : ""; ?>" />
                        </div>

                        <div class="col-lg-1 col-md-2 col-sm-2 col-xs-2 pad">
                           
                        </div>
                    </div>
                </div>

                <div class="panel-footer">
                    <?php include("includes/buttons.php"); ?>
                </div>
            </div>
        </div>
    </div>
</form>

     <div class="modal fade bs-example-modal-lg searchModal" tabindex="-1" role="dialog"
        aria-labelledby="myLargeModalLabel">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button class="close" data-dismiss="modal"><span>&times;</span></button>
                    <h4 class="modal-title" id="myLargeModalLabel">Search <? echo $formname; ?></h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-lg-2">
                            <select class="form-control sfield">
                                <option value="1">Name</option>
                                <option value="2">Opening Balance</option>
                            </select>
                        </div>
                        <div class="col-lg-2">
                            <select class="form-control soperator">
                                <option value="">Type of Search</option>
                                <option value="%">Like</option>
                                <option value="=">Exactly</option>
                            </select>
                        </div>
                        <div class="col-lg-2">
                            <select class="form-control sortBy">
                                <option value="">Sort By</option>
                                <option value="1">Name</option>
                                <option value="2">Opening Balance</option>
                            </select>
                        </div>
                        <div class="col-lg-2">
                            <select class="form-control orderAs">
                                <option value="desc">Desc</option>
                                <option value="asc">Asc</option>
                            </select>
                        </div>
                        <div class="col-lg-2">
                            <input type="text" value="" class="form-control ssearch" placeholder="Search Here">
                        </div>
                        <div class="col-lg-2">
                            <input type="button" class="btn btn-primary sload" value="Search">
                        </div>
                    </div>
                    <div class="col-lg-12 sloader text-center">
                        <!--<img src="images/search.gif" alt="loading">-->
                    </div>
                    <div class="col-lg-12 snoRecord text-center">
                        <h3>NO RECORDS FOUND</h3>
                    </div>
                    <div class="table-responsive" style="max-height: 400px;overflow: auto;">
                        <table id="" class="table table-striped table-condensed table-bordered" width="100%">
                            <thead>
                                <tr class="mySearchTr">
                                    <th width="45%">Name</th>
                                    <th width="45%" class="text-right">Opening Balance</th>
                                    <th width="10%">Action</th>
                                </tr>
                            </thead>
                            <tbody class="sTbody">
                            </tbody>
                        </table>
                    </div>
                    <div class="row">
                        <div class="col-xs-12 text-right search-action-bar">
                            <input type="button" class="btn btn-primary sprev" value="Previous">
                            <input type="button" class="btn btn-primary snext" value="Next">
                        </div>
                    </div>

                </div>
                <div class="modal-footer"></div>
            </div>
        </div>
    </div>
    <?php include("includes/linksfoot.php"); ?>
</body>

</html>